package com.caimei365.commodity.controller;

import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/19
 */
@RestController
@RequiredArgsConstructor
@RequestMapping("/commodity")
public class BaseApi {

    @Value(value = "${swagger.enabled}")
    private Boolean swaggerEnabled;

    @GetMapping("")
    public String welcome(){
        if (swaggerEnabled){
            return "欢迎使用！<br><a href='http://47.119.112.46:18012/doc.html'>doc接口文档入口(beta)</a><br><a href='http://47.119.112.46:18012/swagger-ui/index.html'>swagger接口文档入口(beta)</a>";
        }
        return "欢迎使用！";
    }
}
