package com.caimei365.commodity.model.po;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/9/9
 */
@ApiModel("商品资料")
@Data
public class ArchivePo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 资料库id
     */
    private Integer archiveId;
    /**
     * 商品id
     */
    private Integer productId;
    /**
     * 商品名称
     */
    private String productName;
    /**
     * 商品图片
     */
    private String productImage;
    /**
     * 供应商名称
     */
    private String shopName;
    /**
     * 商品属性:1产品，2仪器
     */
    private Integer productType;
    /**
     * 资料等级：1一类资料，2二类资料，3三类资料
     */
    private Integer archiveLevel;
    /**
     * 商品分类:1医美，2生美
     */
    private Integer productClassify;
}
