package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/25
 */
@Data
public class CombinationVo implements Serializable {
    private static final long serialVersionUID = 1L;

	private Integer id;
	/**
	 * 组合名称
	 */
	private String name;
	/**
	 * 添加时间
	 */
	private Date addTime;
	/**
	 * 更新时间
	 */
	private Date updateTime;
	/**
	 * 组合商品list
	 */
	private List<ProductItemVo> combinationProductList;
	/**
	 * 组合里面的商品种类
	 */
	private  Integer productKind;
	/**
	 * 组合里面选中的商品总数量
	 */
	private  Integer productTotalNum;
    /**
	 * 组合里面选中的商品总金额
	 */
	private BigDecimal productTotalAmount;
}
