package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/25
 */
@Data
public class EquipmentVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer id;
    /**
     * 类型：1二级列表 2项目详情 3讲师列表 4自由页面
     */
    private Integer type;
    /**
     * 标题
     */
    private String title;
    /**
     * seo关键词
     */
    private String keywords;
    /**
     * seo描述
     */
    private String description;
    /**
     * 主图
     */
    private String image;
    /**
     * 项目详情页名称和内容（根据类型分类）
     */
    private Map<String, List<EquipmentParameterVo>> pageContentMap;
    /**
     * 项目仪器中层数据
     */
    private List<PageFloorVo> floorList;
}
